﻿using System;
using System.Text.RegularExpressions;
using System.Web;


namespace SimpleRewriteModule
{
    public class SimpleModRewrite : IHttpModule
    {
        Regex rx = new Regex("Kategorie/(.*).aspx", RegexOptions.IgnoreCase);

        public void Dispose() {}

        public void Init(HttpApplication context)
        {
            context.BeginRequest += new EventHandler(context_BeginRequest);
        }

        void context_BeginRequest(object sender, EventArgs e)
        {
            // získání požadavku klienta
            HttpContext c = ((HttpApplication)sender).Context;

            Match m = rx.Match(c.Request.Path);

            if (!m.Success)
            {
                return;
            }

            string rewrite = rx.Replace(c.Request.Path, "Default.aspx?category=$1");
            c.RewritePath(rewrite);
        }
    }
}
